OPT MODULE
OPT EXPORT
-> Module created with E:bin/fd2module from YAECv18 package.
OPT NDDC
-> --- functions in V36 or higher (Release 2.0) ---
-> 
->   OBJECT UTILITIES
-> 
#macro CreateCxObj(type,arg1,arg2) IS Stores(cxbase,type,arg1,arg2) BUT Loads(A6,D0,A0,A1) BUT ASM ' jsr -30(a6)'
#macro CxBroker(nb,error) IS Stores(cxbase,nb,error) BUT Loads(A6,A0,D0) BUT ASM ' jsr -36(a6)'
#macro ActivateCxObj(co,true) IS Stores(cxbase,co,true) BUT Loads(A6,A0,D0) BUT ASM ' jsr -42(a6)'
#macro DeleteCxObj(co) IS (A0:=co) BUT (A6:=cxbase) BUT ASM ' jsr -48(a6)'
#macro DeleteCxObjAll(co) IS (A0:=co) BUT (A6:=cxbase) BUT ASM ' jsr -54(a6)'
#macro CxObjType(co) IS (A0:=co) BUT (A6:=cxbase) BUT ASM ' jsr -60(a6)'
#macro CxObjError(co) IS (A0:=co) BUT (A6:=cxbase) BUT ASM ' jsr -66(a6)'
#macro ClearCxObjError(co) IS (A0:=co) BUT (A6:=cxbase) BUT ASM ' jsr -72(a6)'
#macro SetCxObjPri(co,pri) IS Stores(cxbase,co,pri) BUT Loads(A6,A0,D0) BUT ASM ' jsr -78(a6)'
-> 
->   OBJECT ATTACHMENT
-> 
#macro AttachCxObj(headObj,co) IS Stores(cxbase,headObj,co) BUT Loads(A6,A0,A1) BUT ASM ' jsr -84(a6)'
#macro EnqueueCxObj(headObj,co) IS Stores(cxbase,headObj,co) BUT Loads(A6,A0,A1) BUT ASM ' jsr -90(a6)'
#macro InsertCxObj(headObj,co,pred) IS ASM ' movem.l d2-d3/a2-a3,-(a7)' BUT Stores(cxbase,headObj,co,pred) BUT Loads(A6,A0,A1,A2) BUT ASM ' jsr -96(a6)' BUT ASM ' movem.l (a7)+, d2-d3/a2-a3'
#macro RemoveCxObj(co) IS (A0:=co) BUT (A6:=cxbase) BUT ASM ' jsr -102(a6)'
-> 
->   TYPE SPECIFIC
-> 
#macro SetTranslate(translator,events) IS Stores(cxbase,translator,events) BUT Loads(A6,A0,A1) BUT ASM ' jsr -114(a6)'
#macro SetFilter(filter,text) IS Stores(cxbase,filter,text) BUT Loads(A6,A0,A1) BUT ASM ' jsr -120(a6)'
#macro SetFilterIX(filter,ix) IS Stores(cxbase,filter,ix) BUT Loads(A6,A0,A1) BUT ASM ' jsr -126(a6)'
#macro ParseIX(description,ix) IS Stores(cxbase,description,ix) BUT Loads(A6,A0,A1) BUT ASM ' jsr -132(a6)'
-> 
->   COMMON MESSAGE
-> 
#macro CxMsgType(cxm) IS (A0:=cxm) BUT (A6:=cxbase) BUT ASM ' jsr -138(a6)'
#macro CxMsgData(cxm) IS (A0:=cxm) BUT (A6:=cxbase) BUT ASM ' jsr -144(a6)'
#macro CxMsgID(cxm) IS (A0:=cxm) BUT (A6:=cxbase) BUT ASM ' jsr -150(a6)'
-> 
->   MESSAGE ROUTING
-> 
#macro DivertCxMsg(cxm,headObj,returnObj) IS ASM ' movem.l d2-d3/a2-a3,-(a7)' BUT Stores(cxbase,cxm,headObj,returnObj) BUT Loads(A6,A0,A1,A2) BUT ASM ' jsr -156(a6)' BUT ASM ' movem.l (a7)+, d2-d3/a2-a3'
#macro RouteCxMsg(cxm,co) IS Stores(cxbase,cxm,co) BUT Loads(A6,A0,A1) BUT ASM ' jsr -162(a6)'
#macro DisposeCxMsg(cxm) IS (A0:=cxm) BUT (A6:=cxbase) BUT ASM ' jsr -168(a6)'
-> 
->   INPUT EVENT HANDLING
-> 
#macro InvertKeyMap(ansiCode,event,km) IS Stores(cxbase,ansiCode,event,km) BUT Loads(A6,D0,A0,A1) BUT ASM ' jsr -174(a6)'
#macro AddIEvents(events) IS (A0:=events) BUT (A6:=cxbase) BUT ASM ' jsr -180(a6)'
-> --- functions in V38 or higher (Release 2.1) ---
->   MORE INPUT EVENT HANDLING
#macro MatchIX(event,ix) IS Stores(cxbase,event,ix) BUT Loads(A6,A0,A1) BUT ASM ' jsr -204(a6)'
