OPT MODULE
OPT EXPORT
-> Module created with E:bin/fd2module from YAECv18 package.
OPT NDDC
#macro InitLayers(li) IS (A0:=li) BUT (A6:=layersbase) BUT ASM ' jsr -30(a6)'
#macro CreateUpfrontLayer(li,bm,x0,y0,x1,y1,flags,bm2) IS ASM ' movem.l d2-d7/a2-a5,-(a7)' BUT Stores(layersbase,li,bm,x0,y0,x1,y1,flags,bm2) BUT Loads(A6,A0,A1,D0,D1,D2,D3,D4,A2) BUT ASM ' jsr -36(a6)' BUT ASM ' movem.l (a7)+, d2-d7/a2-a5'
#macro CreateBehindLayer(li,bm,x0,y0,x1,y1,flags,bm2) IS ASM ' movem.l d2-d7/a2-a5,-(a7)' BUT Stores(layersbase,li,bm,x0,y0,x1,y1,flags,bm2) BUT Loads(A6,A0,A1,D0,D1,D2,D3,D4,A2) BUT ASM ' jsr -42(a6)' BUT ASM ' movem.l (a7)+, d2-d7/a2-a5'
#macro UpfrontLayer(dummy,layer) IS Stores(layersbase,dummy,layer) BUT Loads(A6,A0,A1) BUT ASM ' jsr -48(a6)'
#macro BehindLayer(dummy,layer) IS Stores(layersbase,dummy,layer) BUT Loads(A6,A0,A1) BUT ASM ' jsr -54(a6)'
#macro MoveLayer(dummy,layer,dx,dy) IS Stores(layersbase,dummy,layer,dx,dy) BUT Loads(A6,A0,A1,D0,D1) BUT ASM ' jsr -60(a6)'
#macro SizeLayer(dummy,layer,dx,dy) IS Stores(layersbase,dummy,layer,dx,dy) BUT Loads(A6,A0,A1,D0,D1) BUT ASM ' jsr -66(a6)'
#macro ScrollLayer(dummy,layer,dx,dy) IS Stores(layersbase,dummy,layer,dx,dy) BUT Loads(A6,A0,A1,D0,D1) BUT ASM ' jsr -72(a6)'
#macro BeginUpdate(l) IS (A0:=l) BUT (A6:=layersbase) BUT ASM ' jsr -78(a6)'
#macro EndUpdate(layer,flag) IS Stores(layersbase,layer,flag) BUT Loads(A6,A0,D0) BUT ASM ' jsr -84(a6)'
#macro DeleteLayer(dummy,layer) IS Stores(layersbase,dummy,layer) BUT Loads(A6,A0,A1) BUT ASM ' jsr -90(a6)'
#macro LockLayer(dummy,layer) IS Stores(layersbase,dummy,layer) BUT Loads(A6,A0,A1) BUT ASM ' jsr -96(a6)'
#macro UnlockLayer(layer) IS (A0:=layer) BUT (A6:=layersbase) BUT ASM ' jsr -102(a6)'
#macro LockLayers(li) IS (A0:=li) BUT (A6:=layersbase) BUT ASM ' jsr -108(a6)'
#macro UnlockLayers(li) IS (A0:=li) BUT (A6:=layersbase) BUT ASM ' jsr -114(a6)'
#macro LockLayerInfo(li) IS (A0:=li) BUT (A6:=layersbase) BUT ASM ' jsr -120(a6)'
#macro SwapBitsRastPortClipRect(rp,cr) IS Stores(layersbase,rp,cr) BUT Loads(A6,A0,A1) BUT ASM ' jsr -126(a6)'
#macro WhichLayer(li,x,y) IS Stores(layersbase,li,x,y) BUT Loads(A6,A0,D0,D1) BUT ASM ' jsr -132(a6)'
#macro UnlockLayerInfo(li) IS (A0:=li) BUT (A6:=layersbase) BUT ASM ' jsr -138(a6)'
#macro NewLayerInfo() IS (A6:=layersbase) BUT ASM ' jsr -144(a6)'
#macro DisposeLayerInfo(li) IS (A0:=li) BUT (A6:=layersbase) BUT ASM ' jsr -150(a6)'
#macro FattenLayerInfo(li) IS (A0:=li) BUT (A6:=layersbase) BUT ASM ' jsr -156(a6)'
#macro ThinLayerInfo(li) IS (A0:=li) BUT (A6:=layersbase) BUT ASM ' jsr -162(a6)'
#macro MoveLayerInFrontOf(layer_to_move,other_layer) IS Stores(layersbase,layer_to_move,other_layer) BUT Loads(A6,A0,A1) BUT ASM ' jsr -168(a6)'
#macro InstallClipRegion(layer,region) IS Stores(layersbase,layer,region) BUT Loads(A6,A0,A1) BUT ASM ' jsr -174(a6)'
#macro MoveSizeLayer(layer,dx,dy,dw,dh) IS ASM ' movem.l d2-d3/a2-a3,-(a7)' BUT Stores(layersbase,layer,dx,dy,dw,dh) BUT Loads(A6,A0,D0,D1,D2,D3) BUT ASM ' jsr -180(a6)' BUT ASM ' movem.l (a7)+, d2-d3/a2-a3'
#macro CreateUpfrontHookLayer(li,bm,x0,y0,x1,y1,flags,hook,bm2) IS ASM ' movem.l d2-d7/a2-a5,-(a7)' BUT Stores(layersbase,li,bm,x0,y0,x1,y1,flags,hook,bm2) BUT Loads(A6,A0,A1,D0,D1,D2,D3,D4,A3,A2) BUT ASM ' jsr -186(a6)' BUT ASM ' movem.l (a7)+, d2-d7/a2-a5'
#macro CreateBehindHookLayer(li,bm,x0,y0,x1,y1,flags,hook,bm2) IS ASM ' movem.l d2-d7/a2-a5,-(a7)' BUT Stores(layersbase,li,bm,x0,y0,x1,y1,flags,hook,bm2) BUT Loads(A6,A0,A1,D0,D1,D2,D3,D4,A3,A2) BUT ASM ' jsr -192(a6)' BUT ASM ' movem.l (a7)+, d2-d7/a2-a5'
#macro InstallLayerHook(layer,hook) IS Stores(layersbase,layer,hook) BUT Loads(A6,A0,A1) BUT ASM ' jsr -198(a6)'
-> --- functions in V39 or higher (Release 3) ---
#macro InstallLayerInfoHook(li,hook) IS Stores(layersbase,li,hook) BUT Loads(A6,A0,A1) BUT ASM ' jsr -204(a6)'
#macro SortLayerCR(layer,dx,dy) IS Stores(layersbase,layer,dx,dy) BUT Loads(A6,A0,D0,D1) BUT ASM ' jsr -210(a6)'
#macro DoHookClipRects(hook,rport,rect) IS ASM ' movem.l d2-d3/a2-a3,-(a7)' BUT Stores(layersbase,hook,rport,rect) BUT Loads(A6,A0,A1,A2) BUT ASM ' jsr -216(a6)' BUT ASM ' movem.l (a7)+, d2-d3/a2-a3'
